org.apache.http.impl.client.cache

## Class FailureCacheValue

- java.lang.Object
- - org.apache.http.impl.client.cache.FailureCacheValue

    @Contract(threading=IMMUTABLE)
    public class FailureCacheValue
    extends Object

The error count with a creation timestamp and its associated key.

Since:
  4.3

### Constructor Summary

Constructors
Constructor and Description
`FailureCacheValue(String key, int errorCount)`

### Method Summary

Methods
`long` `getCreationTimeInNanos()`
`int` `getErrorCount()`
`String` `getKey()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FailureCacheValue

    public FailureCacheValue(String key,
                     int errorCount)

### Method Detail

#### getCreationTimeInNanos

    public long getCreationTimeInNanos()

#### getKey

    public String getKey()

#### getErrorCount

    public int getErrorCount()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`